package com.xxxxxxx.drvpp.fw.batch.util;

import java.util.Map;

import org.apache.ibatis.session.SqlSession;

import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.util.Parameter;

public class BatchParameter implements Parameter {
	private Map<String, Object> input;
	private Map<String, Object> output;
	private SqlSession sqlSession;
	private String[] args;
	//private Map<String, String> requestParameter;
	//private WebRequest request;
	//private Model model;
	//private String viewName;
	private Logger log;
	
	public Logger getLog() {
		return log;
	}
	public void setLog(Logger log) {
		this.log = log;
	}
	public String[] getArgs() {
		return args;
	}
	public void setArgs(String[] args) {
		this.args = args;
	}
	public Map<String, Object> getInput() {
		return input;
	}
	public void setInput(Map<String, Object> input) {
		this.input = input;
	}
	public Map<String, Object> getOutput() {
		return output;
	}
	public void setOutput(Map<String, Object> output) {
		this.output = output;
	}
	public SqlSession getSqlSession() {
		return sqlSession;
	}
	public void setSqlSession(SqlSession sqlSession) {
		this.sqlSession = sqlSession;
	}
}
